/*********************************************************/
/******************** FORMS ******************************/
/*********************************************************/

input, textarea, select { 
    outline: none;
	border: 0;
	margin: 0;
	padding: 0;
}

input[type="button"]{
	-webkit-appearance: none;
	-webkit-border-radius: 0;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder{
    color: #bbbbbb !important;
}

/*** FIELDSET ***/

fieldset{
	position: relative;
	margin-left: 150px;
	clear: both;
}

fieldset.Short{
	margin-left: 85px;
}

fieldset.None{
	margin: 0;
}

fieldset.Right{
	margin-left: 0px;
	margin-right: 150px;
}

fieldset.Left.Right{
	margin-right: 150px;
	margin-left: 150px;
}

fieldset p{
	line-height: 30px;
	min-height: 30px;
}

/*** LABEL ***/

label{
	float: left;
	display: inline-block;
	line-height: 30px;
	white-space: nowrap;
	margin-right: 5px;
	font-family: "Economica", Arial, sans-serif;
	font-size: 18px;
	color: #626317;
}

fieldset label:first-child{
	position: absolute;
	left: -150px;
	padding: 0;
}

fieldset.Short label:first-child{
	left: -85px;
}

/*** LEGEND ***/

legend{	
	line-height: 30px;
	font-size: 18px;
	font-weight: bold;
	color: #626317;
}

fieldset legend{
	position: absolute;
	left: -150px;
}

/*** LAYOUT RESET FOR MOBILES ***/

@media only screen and (max-width: 587px) {
	
	fieldset{ margin: 0; }
	fieldset select { bottom: 10px; }
	fieldset.Right { margin: 0; }
	fieldset label:first-child{ position: static; width: 100%; }
	fieldset legend{ position: static;}
	
}

/*** COMMON STYLE ***/

input,
textarea,
.customSelect{
	border: 1px solid #b8b87b;
	box-shadow: inset 1px 1px 2px 0px rgba(159, 159, 159, 0.45); 
	-moz-box-shadow: inset 1px 1px 2px 0px rgba(159, 159, 159, 0.45); 
	-webkit-box-shadow: inset 1px 1px 2px 0px rgba(159, 159, 159, 0.45);
}

/*** INPUT TEXT ***/

input{
	display: inline-block;
	width: 100%;

	height: 30px;
	padding: 0.45em 0.5em 0.45em;
	margin-bottom: 10px;
	
	font-size: 14px;
	color: #626318 !important;
}

input.Short{ width: 80px; margin-right: 1em; }
input.Quantity{ width: 40px; text-align: center; }

input.Plus,
input.Minus{
	display: inline-block;
	height: 30px;
	width: 22px;
	background-repeat: no-repeat;
	background-position: center;
	box-shadow: none;
	border: 0;
	cursor: pointer;
	padding: 0;
}

input.Plus{
	background-image: url('//images.esellerpro.com/2296/198904/images/buttons/plus.png');
	background-position: right;
	margin-right: 1em;
}

input.Minus{
	background-image: url('//images.esellerpro.com/2296/198904/images/buttons/minus.png');
	background-position: left;
}

/*** SELECT ***/

select{
	font-size: 0.9375em;
	width: 100% !important;
	height: 30px !important;
	margin-bottom: 10px;
	visibility: hidden;	
	left: 0px;
	top: 0px;
}

.selectContainer{
	float: left;
	width: 100%;
	position: relative;
}

.selectContainer.Short{
	width: auto;
	margin: 0 10px 0 0;
}

select.hasCustomSelect{ visibility: visible; }

select option{
	color: #626318 !important;
}

select.Short{ width: 70px !important; }
.customSelect.Short {width: 70px; }

.customSelect{
	line-height: 28px;
	padding: 0 30px 0 10px;
	margin: 0 0 10px;
	width: 100%;
	
	background-image: url('//images.esellerpro.com/2296/198904/images/elem/select.png');
	background-repeat: no-repeat;
	background-position: right;
	background-color: #ffffff;
	
	font-size: 14px;
	color: #626318;
}

.customSelect.customSelectFocus,
.customSelect.customSelectOpen {
	border: 1px solid #626318;
}

.customSelect span {
	width: 100% !important;
	color: #626318 !important;
}

/*** TEXTAREA ***/

textarea{
	float: left;
	width: 100%;
	height: 70px;
	padding: 0.5em;
	margin-bottom: 10px;
	font-size: 14px;
	color: #626318 !important;
}

/*** DISABLED ***/

input[disabled],
select option[disabled],
select[disabled] + .customSelect {
	backgroind-image: none;
	background-color: #eee;
}

/*** CAPTCHA ***/

#g-recaptcha-1,
#g-recaptcha-2{
	float: left;
	margin-bottom: 10px;
}

@media only screen and (max-width: 339px) {
	#g-recaptcha-1,
	#g-recaptcha-2{
		margin-left: -21px;
	}
}

/*** REQUIRED ***/

span.Required{
	color: #2f2f2f;
}

/*** ERROR LABEL ***/

label.error{
	position: absolute;
	right: 15px;
	padding: 0 8px 0 25px;
	line-height: 28px;
	z-index: 100;
	
	border: 1px solid #ccc;
	border-radius: 0 3px 3px 0;
	-moz-border-radius: 0 3px 3px 0;
	-webkit-border-radius: 0 3px 3px 0;
	
	background: url('//images.esellerpro.com/2296/198904/images/elem/exclamation.png') no-repeat 4px 6px #ffffff;
	
	color: #2f2f2f;
	margin: 0;
}

fieldset label.error{
	right: 0px;
}

.Short label.error{
	top: 32px;
	left: 0px;
	right: auto;
}

/*** RADIO ***/

input[type="radio"]{
	display: none;
}

span.radio {
	float: left;
	width: 18px;
	height: 20px;
	margin: 5px 5px 15px 5px;
	background-image: url('//images.esellerpro.com/2296/198904/images/buttons/radio.png');
	cursor: pointer;
}

/*** CHECKOUT ***/

input[type="checkbox"]{
	display: none;
}

span.checkbox {
	float: left; 
	width: 18px;
	height: 20px;
	margin: 5px 5px 15px 5px;
	background-image: url('//images.esellerpro.com/2296/198904/images/buttons/checkbox.png');
	cursor: pointer;
}

span.radio.Selected,
span.checkbox.Selected{
	background-position: 0 -20px;
}

/*** RADIO STAR ***/

span.radio.Star{
	height: 16px;
	width: 17px;
	background-image: url('//images.esellerpro.com/2296/198904/images/rating/star.png');
	background-position: -17px 0;
}

span.radio.Star.Selected,
span.radio.Star.Starred,
span.radio.Star:hover,
span.radio.Star.Hovered{
	background-position: 0 0;
}

/*** RADIO VARIATION ***/

.Variations .radio{
	background: none;
	background-color: #d0d0b9;
	color: #FFF;
	font-size: 0.8125em;
	width: auto;
	height: 30px;
	line-height: 28px;
	padding: 0 15px;
	border: 1px solid #FFF;
	margin: 0 5px 10px 0;
	cursor: pointer;
}

.Variations .radio.Selected{
	background-color: #626317;
}

.Variations .radio.Disabled{
	background-color: #ddd;
}










